
Infrastructure - Bug #3869

wrong key set in portal/WEB-INF/client.xml

2013-07-24 17:30 - Robert Waltz

Status: New Start date: 2014-10-01

Priority: Normal Due date: 2014-10-01

Assignee: Robert Waltz % Done: 0%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: Release Backlog   

Milestone: None Story Points:  

Product Version: *   

Description

In the production portal debian installation, the file

/var/lib/tomcat6/webapps/portal/WEB-INF/client.xml

incorporated the setting:

/etc/ssl/private/dataone_org.key.pk8

rather than

/etc/ssl/private/dataone.org.key.pk8

there are two files in /etc/ssl/private/

dataone_org.key and dataone.org.key

-rw------- 1 root    root     1675 2012-06-05 02:57 dataone_org.key

-rw------- 1 root    root     1675 2013-07-05 22:12 dataone.org.key

I assume producing the pk8 from dataone.org.key is correct, though there does not seem to be a diff between the two files?

History

#1 - 2013-08-02 18:28 - Robert Waltz

- Start date set to 2013-08-11

- Due date set to 2013-08-24

- Target version set to 2013.33-Block.4.4

- Milestone changed from None to CCI-1.2

#2 - 2013-10-28 21:16 - Robert Waltz

- Target version changed from 2013.33-Block.4.4 to 2013.49-Block.6.3

- Product Version set to 1.2.1

- Due date changed from 2013-08-24 to 2013-12-14

#3 - 2014-01-06 18:54 - Chris Jones

- Due date changed from 2013-12-14 to 2014-03-01

- Target version changed from 2013.49-Block.6.3 to 2014.8-Block.1.4

#4 - 2014-03-14 18:50 - Robert Waltz

- Due date changed from 2014-03-01 to 2014-04-26

- Target version changed from 2014.8-Block.1.4 to 2014.16-Block.2.4

#5 - 2014-05-01 21:40 - Ben Leinfelder
rob: Looks like it's happening at Servlet.init() having something to do with the security layer

rob: edu.uiuc.ncsa.security.core.exceptions.ConfigurationException: Error: The specified private key file "/etc/ssl/private/dataone_org.key.pk8" does

not exist

#6 - 2014-07-29 22:05 - Robert Waltz

- Product Version changed from 1.2.1 to *

- Milestone changed from CCI-1.2 to CCI-1.4

- Start date deleted (2013-08-11)

- Target version deleted (2014.16-Block.2.4)

- Due date deleted (2014-04-26)

#7 - 2014-10-01 19:40 - Robert Waltz

- Start date set to 2014-10-01

- Target version set to Maintenance Backlog

- Due date set to 2014-10-01

#8 - 2014-10-01 20:27 - Robert Waltz

- Target version changed from Maintenance Backlog to Release Backlog

#9 - 2016-08-10 20:58 - Robert Waltz

- Milestone changed from CCI-1.4 to None
